package com.ym.mec.auth.api.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(tenant_info):
 */
public class TenantInfo {

	/**  */
	private Integer id;
	
	/** 机构名称 */
	private String name;
	
	/** 机构地址 */
	private String address;
	
	/** 域名 */
	private String domainName;
	
	/** logo链接 */
	private String logoUrl;
	
	/** 联系人 */
	private String contactName;
	
	/** 联系电话 */
	private String contactPhone;
	
	/** 数据源 */
	private String dataSource;

	private Integer userId;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public Integer getUserId() {
		return userId;
	}

	public void setUserId(Integer userId) {
		this.userId = userId;
	}

	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setName(String name){
		this.name = name;
	}
	
	public String getName(){
		return this.name;
	}
			
	public void setAddress(String address){
		this.address = address;
	}
	
	public String getAddress(){
		return this.address;
	}
			
	public void setDomainName(String domainName){
		this.domainName = domainName;
	}
	
	public String getDomainName(){
		return this.domainName;
	}
			
	public void setLogoUrl(String logoUrl){
		this.logoUrl = logoUrl;
	}
	
	public String getLogoUrl(){
		return this.logoUrl;
	}
			
	public void setContactName(String contactName){
		this.contactName = contactName;
	}
	
	public String getContactName(){
		return this.contactName;
	}
			
	public void setContactPhone(String contactPhone){
		this.contactPhone = contactPhone;
	}
	
	public String getContactPhone(){
		return this.contactPhone;
	}
			
	public void setDataSource(String dataSource){
		this.dataSource = dataSource;
	}
	
	public String getDataSource(){
		return this.dataSource;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
